petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPReasonView

Displays the reason a KSP solve converged or diverged to a viewer

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPReasonView(KSP ksp,PetscViewer viewer)

Collective on KSP

### Parameter

| ksp | - iterative context obtained from KSPCreate()
| viewer | - the viewer to display the reason

### Options Database Keys

-ksp_converged_reason -print reason for converged or diverged, also prints number of iterations

### Keywords

KSP, solve, linear system

### See Also

KSPCreate(), KSPSetUp(), KSPDestroy(), KSPSetTolerances(), KSPConvergedDefault(),
KSPSolveTranspose(), KSPGetIterationNumber()

Level:beginner
Location:src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages